프로그램
캐드 분류

클라우드 리습이 안먹히는데 질문 드립니다.

컨텐츠 정보

본문

클라우드 이쁘게 쳐지는 LISP인데, 2022에서 사용 하려 하니 오류가 발생하네요.

뭐가 잘못된건가요??

 

(defun C:RM (/ stp ssp np nnp true dist ft ea ang arc sp)
(setq olderr *error*
*error* error
)
(setvar “CMDECHO” 0)
(setq cl (getvar “clayer”))
(setq co (getvar “cecolor”))
(SETQ DDD (GETREAL “nINPUT SCALE :”))

;=======================================

; (SETQ DDD 300)

;========================================

(COMMAND “LAYER” “m” “CLOUD” “c” “4” “” “”)
(command “color” “bylayer”)
(setq stp (getpoint “n–Point : “))
(setq ssp stp)
(setq np (getpoint stp “n–Point : “))
(command “PLINE” stp “w” “0” “0” “A” “A” “90”)
(setq true t)
(while true
(setq dist (distance stp np)
ft (fix (/ dist DDD))
)
(if (< ft 1)
(setq ea 1)
(setq ea ft)
)
(setq ang (angle stp np))
(if (> ea 1)
(progn
(setq arc (/ dist ea))
(setq sp stp)
(repeat ea
(setq nnp (polar sp ang arc))
(command nnp “W” “0” “0” “A” “90”)
(setq sp nnp)
)
(setq stp np)
)
(progn
(command np “A” “90”)
(setq stp np)
)
)
(setq np (getpoint stp “n–Point : “))
(if (/= (type np) ‘LIST)
(progn
(setq true nil)
(setq np ssp)
(setq dist (distance stp np)
ft (fix (/ dist DDD))
)
(if (< ft 1)
(setq ea 1)
(setq ea ft)
)
(setq ang (angle stp np))
(if (> ea 1)
(progn
(setq arc (/ dist ea))
(setq sp stp)
(repeat ea
(setq nnp (polar sp ang arc))
(command nnp “A” “90”)
(setq sp nnp)
)
(setq stp np)
)
)
(command ssp “” “”)
)
)
)
(SETVAR “CMDECHO” 1)
; (command “INSERT” “RV”)
(COMMAND “LAYER” “S” cl “”)
(command “color” co)
)

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

lisp
리습

관련자료

댓글 0
등록된 댓글이 없습니다.
여분필드1 여분필드2 여분필드3
캐드 68 / 1 페이지
번호
제목
이름
알림 0